CC     = gcc
LIBDIR = -L/usr/lib -L/usr/X11R6/lib
LIBS   = -lXpm `pkg-config --libs gtk+-2.0`
CFLAGS = `pkg-config --cflags gtk+-2.0`

OBJS   = bbrun.o \
         ../wmgeneral/wmgeneral.o \
         ../wmgeneral/misc.o \
         ../wmgeneral/list.o

all: bbrun

.c.o:
	$(CC) -g -c -O2 -Wall $< -o $*.o $(CFLAGS)

bbrun: $(OBJS)
	$(CC) -Wall -g -o bbrun $^ $(LIBDIR) $(LIBS)

install:
	cp bbrun /usr/local/bin/

clean:
	rm -f bbrun $(OBJS)
	rm -f core
